%define		phonon_ver	4.7.0
%define		qt_ver		4.7.1

Summary:	GStreamer backend for Phonon
Summary(pl.UTF-8):	Wtyczka GStreamera dla Phonona
Name:		phonon-backend-gstreamer
# 4.9.x is the last supporting qt4 phonon
Version:	4.9.1
Release:	1
License:	LGPL 2.1
Group:		Libraries
Source0:	https://download.kde.org/Attic/phonon/phonon-backend-gstreamer/%{version}/%{name}-%{version}.tar.xz
# Source0-md5:	b521b0a824e4d5451e476b8127140f60
BuildRequires:	OpenGL-devel
BuildRequires:	QtCore-devel >= %{qt_ver}
BuildRequires:	QtGui-devel >= %{qt_ver}
BuildRequires:	QtOpenGL-devel >= %{qt_ver}
BuildRequires:	cmake >= 2.8.9
BuildRequires:	glib2-devel >= 2.0
BuildRequires:	gstreamer-devel >= 1.0
BuildRequires:	gstreamer-plugins-base-devel >= 1.0
BuildRequires:	libxml2-devel >= 2
BuildRequires:	phonon-devel >= %{phonon_ver}
BuildRequires:	pkgconfig
BuildRequires:	qt4-build >= %{qt_ver}
BuildRequires:	qt4-qmake >= %{qt_ver}
BuildRequires:	rpmbuild(macros) >= 1.605
BuildRequires:	sed >= 4.0
BuildRequires:	tar >= 1:1.22
BuildRequires:	xz
Requires:	phonon >= %{phonon_ver}
Suggests:	gstreamer-pulseaudio >= 1.0
Provides:	qt4-phonon-backend = %{version}
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
GStreamer backend for Phonon.

%description -l pl.UTF-8
Wtyczka GStreamera dla Phonona.

%prep
%setup -q -n phonon-gstreamer-%{version}

# Use PHONON_NO_GRAPHICSVIEW because videographicsobject.cpp is not ready for gstreamer 1.0;
# as of 4.8.2, this setting is not exported as option, so hardcode it.
sed -i -e "15i set(PHONON_NO_GRAPHICSVIEW ON)" gstreamer/CMakeLists.txt

%build
install -d build-qt4
cd build-qt4
%cmake ..
%{__make}
cd ..

%install
rm -rf $RPM_BUILD_ROOT

%{__make} -C build-qt4 install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/kde4/plugins/phonon_backend/phonon_gstreamer.so
%{_datadir}/kde4/services/phononbackends/gstreamer.desktop
%{_iconsdir}/hicolor/*x*/apps/phonon-gstreamer.png
%{_iconsdir}/hicolor/scalable/apps/phonon-gstreamer.svgz
%changelog
* Mon Jun 09 2025 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/phonon-backend-gstreamer.git;a=log;h=master

* Mon Jun 09 2025 Jakub Bogusz <qboosh@pld-linux.org> 874b986
- removed non-working qt5 from here

* Mon Jun 09 2025 Jakub Bogusz <qboosh@pld-linux.org> d2a63e6
- updated to 4.9.1 (the last version supporting qt4); not supported by phonon 4.11+

* Sat Oct 12 2019 Jan Rękorajski <baggins@pld-linux.org> 3e194a2
- release 5 (by relup.sh)

* Sun Apr 05 2015 Jakub Bogusz <qboosh@pld-linux.org> a623b8b
- updated source URL

* Sat Apr 04 2015 Jan Rękorajski <baggins@pld-linux.org> 7e041f3
- release 4 (by relup.sh)

* Sat Apr 04 2015 Jan Rękorajski <baggins@pld-linux.org> 46dc391
- x32 rebuild
- release 3 (by relup.sh)

* Fri Apr 03 2015 Jakub Bogusz <qboosh@pld-linux.org> 574bc09
- release 2

* Fri Apr 03 2015 Jakub Bogusz <qboosh@pld-linux.org> 7abc7dc
- updated dependencies
- disable graphics view (not ready for gstreamer 1 API)
- build phonon4qt5 plugin

* Tue Feb 03 2015 Arkadiusz Miśkiewicz <arekm@maven.pl> 2bd0fc9
- up to 4.8.2

* Sun Feb 17 2013 Arkadiusz Miśkiewicz <arekm@maven.pl> 7ab34d4
- up to 4.6.3

* Sun Jan 27 2013 Jan Palus <jan.palus@gmail.com> ca4c896
- up to 4.6.2
- suggest gstreamer pulseaudio plugin to prevent errors in kde

* Sun May 08 2011 Bartłomiej Zimoń <cactus@pld-linux.org> cc90fc0
- up to 4.5.1 (bugfix release)
- add icons to pkg

* Mon Apr 11 2011 Bartłomiej Zimoń <cactus@pld-linux.org> 0f307c2
- up to 4.5.0

* Fri Jan 21 2011 shadzik <shadzik@pld-linux.org> 6825c22
- new spec
- ver 4.4.4

